Package org.springframework.security.web.session

# Interface SessionInformationExpiredStrategy

All Known Implementing Classes:
  `SimpleRedirectSessionInformationExpiredStrategy`

public interface SessionInformationExpiredStrategy
Determines the behaviour of the `ConcurrentSessionFilter` when an expired session is detected in the `ConcurrentSessionFilter`.

Since:
  4.2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`onExpiredSessionDetected(SessionInformationExpiredEvent event)`

## Method Details

### onExpiredSessionDetected

void onExpiredSessionDetected(SessionInformationExpiredEvent event) throws IOException, jakarta.servlet.ServletException

Throws:
  `IOException`
  `jakarta.servlet.ServletException`